Bug 249389 - astro/wmglobe: fix 13-CURRENT build
Summary: astro/wmglobe: fix 13-CURRENT build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-17 09:50 UTC by jens_d
Modified: 2020-09-25 15:26 UTC (History)
1 user (show)

See Also:
fernape: merge-quarterly+


Attachments
patch wmglobe fix build on 13-CURRENT (8.48 KB, patch)
2020-09-17 09:50 UTC, jens_d
jd.fbsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jens_d 2020-09-17 09:50:19 UTC
Created attachment 218021 [details]
patch wmglobe fix build on 13-CURRENT

I have fixed the declaration of global variables in the header file. The port does now build with llvm11.

I have also fixed some compiler warnings.
Comment 1 Fernando Apesteguía freebsd_committer 2020-09-23 06:00:13 UTC
^Triage: [tags] in issue Titles are deprecated.


^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.
--
Attachment -> Details -> maintainer-approval [+]

Thanks!
Comment 2 commit-hook freebsd_committer 2020-09-25 15:22:34 UTC
A commit references this bug:

Author: fernape
Date: Fri Sep 25 15:22:08 UTC 2020
New revision: 550048
URL: https://svnweb.freebsd.org/changeset/ports/550048

Log:
  astro/wmglobe: fix 13-CURRENT build

  Another instance of -fno-common issue.
  Some minor build warnings fixed.

  PR:	249389
  Submitted by:	jd.fbsd@goneja.de (maintainer)
  MFH:	2020Q3 (build fix, -fno-common)

Changes:
  head/astro/wmglobe/Makefile
  head/astro/wmglobe/files/patch-src_myconvert.c
  head/astro/wmglobe/files/patch-src_rend.c
  head/astro/wmglobe/files/patch-src_wmglobe.c
  head/astro/wmglobe/files/patch-src_wmglobe.h
  head/astro/wmglobe/files/patch-src_wmgutil.c
Comment 3 commit-hook freebsd_committer 2020-09-25 15:25:35 UTC
A commit references this bug:

Author: fernape
Date: Fri Sep 25 15:24:44 UTC 2020
New revision: 550049
URL: https://svnweb.freebsd.org/changeset/ports/550049

Log:
  MFH: r550048

  astro/wmglobe: fix 13-CURRENT build

  Another instance of -fno-common issue.
  Some minor build warnings fixed.

  PR:	249389
  Submitted by:	jd.fbsd@goneja.de (maintainer)

  Approved by:	ports-secteam (blanket, runtime fix, -fno-common)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/astro/wmglobe/Makefile
  branches/2020Q3/astro/wmglobe/files/patch-src_myconvert.c
  branches/2020Q3/astro/wmglobe/files/patch-src_rend.c
  branches/2020Q3/astro/wmglobe/files/patch-src_wmglobe.c
  branches/2020Q3/astro/wmglobe/files/patch-src_wmglobe.h
  branches/2020Q3/astro/wmglobe/files/patch-src_wmgutil.c
Comment 4 Fernando Apesteguía freebsd_committer 2020-09-25 15:26:38 UTC
Committed and MFH'ed

Note I did not bump PORTREVISION since it is not required for these kind of changes.

Thanks!